> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice summary without file

> Fetch a single invoice without its file of the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/{invoiceId}/summary
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/{invoiceId}/summary:
    get:
      tags:
        - Invoices
      summary: Get invoice summary without file
      description: Fetch a single invoice without its file of the specified vehicle
      operationId: getInvoiceWithoutBlob
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: The two-letter country code of the asset provider
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
        - in: path
          name: invoiceId
          description: The id of the invoice or service-tab entity
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Invoice summary
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle or invoice could not be found
      security:
        - oauth:
            - openid
components:
  schemas:
    InvoiceResponse:
      type: object
      required:
        - type
        - id
        - ocrStatus
        - name
      properties:
        type:
          type: string
          description: Invoice type
          enum:
            - ENERGY_FUEL_INVOICE
            - EXCESS_MILEAGE_INVOICE
            - PARKING_INVOICE
            - INSURANCE_INVOICE
            - REGISTRATION_INVOICE
            - ADMINISTRATION_INVOICE
            - CARBON_FOOTPRINT_INVOICE
            - MAINTENANCE
            - INSPECTION
            - TIRE_INVOICE
            - TIRE_STORAGE
        id:
          type: string
          description: Invoice identifier
        date:
          type: string
          format: date
          description: Invoice date
        netCost:
          type: integer
          format: int64
          description: Net cost of the invoice in the local currency (cents)
        grossCost:
          type: integer
          format: int64
          description: Gross cost of the invoice in the local currency (cents)
        taxRate:
          type: integer
          format: int64
          description: Tax rate applied to the invoice
        ocrStatus:
          $ref: '#/components/schemas/OcrStatus'
        name:
          type: string
          description: Original name of the invoice
    OcrStatus:
      type: string
      enum:
        - NOT_STARTED
        - MANUAL
        - PROCESSING
        - PROCESSED
        - ERROR
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````